//
// Created by Ht on 2019/9/24.
//

#ifndef EDGETEST_URLUTILS_H
#define EDGETEST_URLUTILS_H

#include <string>

#include <jebase/config.h>


static const char* sval_default_trans_char_table = "&=";
static const char cval_trans_char_prefix = '*';

class JE_API UrlUtils {

private:
     static char char2num(char a, char b);


public:
     static bool transChars(const std::string& srcStr, std::string& result, const std::string& ocharTable, char prefix);

     static bool detransChars(const std::string& srcStr,std::string& result, const std::string& ocharTable, char prefix);

     static void transHttpParams(const char *buffer, int len, std::string &target);

};


#endif //EDGETEST_URLUTILS_H
